MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000088Hall D OnlineControlspublic2011-06-03 13:152011-06-23 16:31
Reporterwolin 
Assigned Toballard 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionno change required 
PlatformOSOS Version
Summary0000088: Check what PLC does when network cables are disconnected
DescriptionFor the coil test we once had to power cycle the PLC and other chassis due to network problems. We need to understand how the PLC system responds when a port goes down. Can it reestablish communication when the port is working again?
TagsNo tags attached.
Work by outside group for Hall DNo
Estimated man-weeks1
Percentage complete0
Actual man-weeks0
Attached Filespdf file icon Chat Session [Incident_110608-000066].pdf [^] (68,707 bytes) 2011-06-08 08:30
txt file icon Ethernet Troubleshooting.txt [^] (2,446 bytes) 2011-06-23 15:42 [Show Content]

- Relationships

-  Notes
(0000108)
wolin (administrator)
2011-06-07 17:31

Reminder sent to: ballard

Have you tried the Mantis system?
(0000109)
ballard (developer)
2011-06-08 08:33

Contacted RA Tech Support with a chat (transcript attached). Bottom line - without knowing the exact nature of the network problem along with details about our network (managed/unmanaged switches, DHCP/Static IP, etc.), it is very difficult to determine what the PLC system will do.

Generally, the system will try to pick up where it left off when communications were disrupted unless a fault is triggered. The fault has to be cleared by a power cycle or through the L5k software.
(0000127)
ballard (developer)
2011-06-23 15:45

I went to the test lab and disconnected/reconnected various ethernet cables. A detailed description is in the attached document "Ethernet Troubleshooting.txt".

In summary:
PLC hardware, that is, EN2T modules and EWEB modules are robust and able to pick up where they left off when ethernet is disconnected and then reconnected.

HMI computers, on the other hand, are subject to longer-lasting failures usually requiring a reboot of BOTH computers (HMI Server and RSLinx Enterprise Server) in order to restore connectivity and control.
(0000128)
ballard (developer)
2011-06-23 15:47

PLC Hardware is able to recover from ethernet outage/disruption.
(0000129)
wolin (administrator)
2011-06-23 16:31

"closed" hides the issue, "resolved" is better when people may want to look at it

- Issue History
Date Modified Username Field Change
2011-06-03 13:15 wolin New Issue
2011-06-03 13:15 wolin Work by outside group for Hall D => No
2011-06-03 13:15 wolin Estimated man-weeks => 1
2011-06-03 13:15 wolin Percentage complete => 0
2011-06-03 13:15 wolin Actual man-weeks => 0
2011-06-03 13:16 wolin Status new => assigned
2011-06-03 13:16 wolin Assigned To => ballard
2011-06-03 15:16 wolin Summary Need to check what PLC does when network cables are disconnected => check what PLC does when network cables are disconnected
2011-06-03 15:16 wolin Summary check what PLC does when network cables are disconnected => Check what PLC does when network cables are disconnected
2011-06-07 17:31 wolin Note Added: 0000108
2011-06-08 08:30 ballard File Added: Chat Session [Incident_110608-000066].pdf
2011-06-08 08:33 ballard Note Added: 0000109
2011-06-08 08:58 ballard Status assigned => acknowledged
2011-06-23 15:42 ballard File Added: Ethernet Troubleshooting.txt
2011-06-23 15:45 ballard Note Added: 0000127
2011-06-23 15:47 ballard Note Added: 0000128
2011-06-23 15:47 ballard Status acknowledged => closed
2011-06-23 15:47 ballard Resolution open => no change required
2011-06-23 16:31 wolin Note Added: 0000129
2011-06-23 16:31 wolin Status closed => resolved


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker